name: "MinIO Cache"
description: "Save and restore caches"
author: "0xMax42"
branding:
  icon: "archive"
  color: "blue"

inputs:
  key:
    description: "Unique cache key to identify the cache"
    required: true
  paths:
    description: "List of paths or glob patterns to cache (supports *, **, ?)"
    required: true
  compression-level:
    description: "Compression level for the cache. ZStd, eg. 0-6"
    required: false
    default: "0"

outputs:
  cache-hit:
    description: "Boolean indicating if an exact match was found for the cache key"

runs:
  using: "node20"
  main: "dist/index.js"
  post: "dist/index.js"
